Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# CORBA::DIIPollable_var Class Reference

`#include <PollableC.h>`

Inheritance diagram for CORBA::DIIPollable_var:

[legend]
Collaboration diagram for CORBA::DIIPollable_var:

[legend]
List of all members.

## Public Methods
| DIIPollable_var (void)
| DIIPollable_var (DIIPollable_ptr p)
| DIIPollable_var (const DIIPollable_var &)
| ~DIIPollable_var (void)
DIIPollable_var & | operator= (DIIPollable_ptr)
DIIPollable_var & | operator= (const DIIPollable_var &)
DIIPollable_ptr | operator-> (void) const
| operator const DIIPollable_ptr & () const
| operator DIIPollable_ptr & ()
DIIPollable_ptr | in (void) const
DIIPollable_ptr & | inout (void)
DIIPollable_ptr & | out (void)
DIIPollable_ptr | _retn (void)
DIIPollable_ptr | ptr (void) const
## Static Public Methods
DIIPollable_ptr | tao_duplicate (DIIPollable_ptr)
void | tao_release (DIIPollable_ptr)
DIIPollable_ptr | tao_nil (void)
DIIPollable_ptr | tao_narrow (CORBA::Object *ACE_ENV_ARG_DECL_NOT_USED)
CORBA::Object * | tao_upcast (void *)
## Private Methods
| DIIPollable_var (const TAO_Base_var &rhs)
DIIPollable_var & | operator= (const TAO_Base_var &rhs)
## Private Attributes
DIIPollable_ptr | ptr_

## Constructor & Destructor Documentation

CORBA::DIIPollable_var::DIIPollable_var | ( | void |  | ) |

CORBA::DIIPollable_var::DIIPollable_var | ( | DIIPollable_ptr | p | ) | `[inline]`

CORBA::DIIPollable_var::DIIPollable_var | ( | const DIIPollable_var & |  | ) |

CORBA::DIIPollable_var::~DIIPollable_var | ( | void |  | ) |

CORBA::DIIPollable_var::DIIPollable_var | ( | const TAO_Base_var & | rhs | ) | `[private]`

## Member Function Documentation

DIIPollable_ptr CORBA::DIIPollable_var::_retn | ( | void |  | ) |

DIIPollable_ptr CORBA::DIIPollable_var::in | ( | void |  | ) | const

DIIPollable_ptr& CORBA::DIIPollable_var::inout | ( | void |  | ) |

CORBA::DIIPollable_var::operator const DIIPollable_ptr & | ( |  | ) | const

CORBA::DIIPollable_var::operator DIIPollable_ptr & | ( |  | ) |

DIIPollable_ptr CORBA::DIIPollable_var::operator-> | ( | void |  | ) | const

DIIPollable_var& CORBA::DIIPollable_var::operator= | ( | const TAO_Base_var & | rhs | ) | `[private]`

DIIPollable_var& CORBA::DIIPollable_var::operator= | ( | const DIIPollable_var & |  | ) |

CORBA::DIIPollable_var & CORBA::DIIPollable_var::operator= | ( | DIIPollable_ptr | p | ) |

DIIPollable_ptr& CORBA::DIIPollable_var::out | ( | void |  | ) |

CORBA::DIIPollable_ptr CORBA::DIIPollable_var::ptr | ( | void |  | ) | const

DIIPollable_ptr CORBA::DIIPollable_var::tao_duplicate | ( | DIIPollable_ptr |  | ) | `[static]`

DIIPollable_ptr CORBA::DIIPollable_var::tao_narrow | ( | CORBA::Object * | ACE_ENV_ARG_DECL_NOT_USED | ) | `[static]`

DIIPollable_ptr CORBA::DIIPollable_var::tao_nil | ( | void |  | ) | `[static]`

void CORBA::DIIPollable_var::tao_release | ( | DIIPollable_ptr |  | ) | `[static]`

CORBA::Object* CORBA::DIIPollable_var::tao_upcast | ( | void * |  | ) | `[static]`

## Member Data Documentation

DIIPollable_ptr CORBA::DIIPollable_var::ptr_`[private]`

The documentation for this class was generated from the following files:

- PollableC.h
- PollableC.cpp